export declare enum LogLevel {
    DEBUG = 0,
    INFO = 1,
    WARN = 2,
    ERROR = 3,
    NONE = 4
}
export declare class Logger {
    private level;
    private disableLogging;
    constructor();
    debug(message: string, ...args: unknown[]): void;
    info(message: string, ...args: unknown[]): void;
    warn(message: string, ...args: unknown[]): void;
    error(message: string, ...args: unknown[]): void;
    success(message: string, ...args: unknown[]): void;
    dim(message: string, ...args: unknown[]): void;
    bold(message: string, ...args: unknown[]): void;
    session(action: "start" | "end", sessionId: string): void;
    search(query: unknown, resultCount: number): void;
}
export declare const logger: Logger;
//# sourceMappingURL=logger.d.ts.map